Page MenuHomeFreeBSD

lang/rust: Update to 1.45.1
ClosedPublic

Authored by tobik on Mon, Jul 27, 7:00 PM.

Details

Summary

Scheduled to be released on 2020-07-30. As this does not look like
it requires full testing again the plan is to land it on 2020-07-30
too. Note that I bumped consumers again since there was a regression
that might cause miscompilation of some code.

https://github.com/rust-lang/rust/blob/stable/RELEASES.md#version-1451-2020-07-30
https://blog.rust-lang.org/inside-rust/2020/07/27/1.45.1-prerelease.html
https://github.com/rust-lang/rust/compare/1.45.0...stable

Other port changes:

  • Apply the "hard links break env::current_exe()" workaround from rP543251 to lang/rust too
Test Plan

11.3 amd64: ok
11.3 i386: ok
12.1 amd64: ok
12.1 i386: ok
13.0 amd64: ok
13.0 i386: ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Mon, Jul 27, 7:00 PM
tobik requested review of this revision.Mon, Jul 27, 7:00 PM
tobik edited the test plan for this revision. (Show Details)Tue, Jul 28, 7:28 AM
tobik accepted this revision as: tobik.Tue, Jul 28, 12:44 PM
mikael accepted this revision as: mikael.Wed, Jul 29, 6:22 AM
This revision was not accepted when it landed; it landed in state Needs Review.Thu, Jul 30, 6:27 PM
Closed by commit rP543815: lang/rust: Update to 1.45.1 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.
tobik added a comment.Sat, Aug 1, 10:48 AM

There is going to be a 1.45.2 on Monday (2020-08-03). I'll probably just chase it without creating yet another review.

https://github.com/rust-lang/rust/blob/stable/RELEASES.md#version-1452-2020-08-03